Package ru.bitel.bgbilling.modules.bill.server.bean.export

# Class ExportAbstractUtils

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.bill.server.bean.export.ExportAbstractUtils

Direct Known Subclasses:
  `ExportBillUtils`, `ExportInvoiceUtils`

public class ExportAbstractUtils extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected char`
  `csvSeparator`
  `protected ModuleSetup`
  `moduleSetup`
  `protected String`
  `saveOnServerPath`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ExportAbstractUtils(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `preemptBillNew(List<? extends BillDoc> payBillList, String preemptXSL, boolean saveOnServer, Writer writer, StringBuilder sb)`
  `protected void`
  `preemptBillOld(List<String[]> allLines, boolean saveOnServer, Writer writer, StringBuilder sb)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### moduleSetup

    protected ModuleSetup moduleSetup

  - ### csvSeparator

    protected char csvSeparator

  - ### saveOnServerPath

    protected String saveOnServerPath

- ## Constructor Details

  - ### ExportAbstractUtils

    protected ExportAbstractUtils(Connection con, int moduleId)

- ## Method Details

  - ### preemptBillNew

    protected void preemptBillNew(List<? extends BillDoc> payBillList, String preemptXSL, boolean saveOnServer, Writer writer, StringBuilder sb)

  - ### preemptBillOld

    protected void preemptBillOld(List<String[]> allLines, boolean saveOnServer, Writer writer, StringBuilder sb)